function [SINR, G, PL, numOfWalls, dist, isIndoor] = SINRfemto(var1, var2, var3, var4)
nargchk(2, 4, nargin);
if nargin == 2
    [SINR, G, PL, numOfWalls, dist, isIndoor] = SINRfemto1(var1, var2);
else
    [SINR, G, PL, numOfWalls, dist, isIndoor] = SINRfemto2(var1, var2, var3, var4);
end


function [SINR, G, PL, numOfWalls, dist, isIndoor] = SINRfemto1(userID, handles)
coordVectors = get(handles.figure1, 'UserData');
cellID = coordVectors.att_cell(userID);
[SINR, G, PL, numOfWalls, dist, isIndoor] = SINRfemto2(coordVectors.fuser_x(userID), coordVectors.fuser_y(userID), cellID, handles);


function [SINR, G, PL, numOfWalls, dist, isIndoor] = SINRfemto2(x, y, cellID, handles)
PSD_dBm = -174; %dBm/Hz
awgn_N0 = (10^(PSD_dBm / 10)) / 1000;
Pfemto = 100 * 10^(-3);
Pmacro = 40;
spacing_Df = 15*10^3;

upper_thres = -log(5*10^(-6))/1.5;

coordVectors = get(handles.figure1, 'UserData');

numOfFemtocells = min(size(coordVectors.femt_x, 2), size(coordVectors.femt_y, 2));
numOfMacrocells = 1;


[G, PL, numOfWalls, dist, isIndoor] = Gain_femto(x, y, coordVectors.femt_x(cellID), coordVectors.femt_y(cellID), handles);
numer = Pfemto * G;
sum1 = 0;
sum2 = 0;
for i=1:numOfFemtocells
    if i ~= cellID
        sum1 = sum1 + Pfemto * Gain_femto(x, y, coordVectors.femt_x(i), coordVectors.femt_y(i), handles);
    end
end
for i=1:numOfMacrocells
    sum2 = sum2 + Pmacro * Gain_macro(x, y, 250.0, 217.0, handles);
end

denom = awgn_N0 * spacing_Df + sum1 + sum2;
SINR = min([(numer/denom) upper_thres]);